Subject: Re: bug#66394: 29.1; Make register-read-with-preview more useful

From: Thierry Volpiatto <[email-masked]>
Date: Mon, 11 Dec 2023 09:58:08 +0000

Thierry Volpiatto <[email-masked]> writes:

> Hello Eli, 
>
> here the last patch that provide Emacs-29 previous behavior as asked on emacs-dev,
> I made it the default for now.
> The only customization one have to do to make a change is through
> register-use-preview which have now three options:
>
> - basic (default - same as Emacs-29- )
> - nil (simple preview with filtering, default and no confirm)
> - never (same as nil but without any preview)
> - t  (the improved version with navigation etc...)
>
> I don't know if you want to restore previous behavior (emacs-29), if so this patch
> will apply against the previous one.
> (0001-Don-t-confirm-with-RET-even-when-overwriting-in-regi.patch).
>
> Thanks.

BTW I saw the thread on Reddit just now.  I have no more account there
to reply, but may be it is better to no reply to those people.
Even if it's easier to say than doing it, you should ignore all this
(and the usual trolls on emacs-dev) and continue the good job as you
always did, change nothing.

Respectfully,

-- 
Thierry